Skip to main content
POST
Python

Authorizations

Authorization
string
header
required

Admin JWT or access token for authenticating requests to VectorAI DB.

Path Parameters

collection_name
string
required

The name of the collection to retrieve points from.

Example:

"my_collection"

Body

application/json
ids
(integer | string)[]
required

List of point IDs to retrieve.

Example:
with_payload
boolean
default:true

Whether to include payload data in the response.

Example:

true

with_vectors
boolean
default:true

Whether to include vector data in the response.

Example:

true

Response

Points retrieved

usage
object

Resource usage information for this request.

time
number<double>

Time spent to process this request, in seconds.

Example:

0.000159851

status
string

Operation status. Returns ok on success.

Example:

"ok"

result
object[]

Array of matching points.